## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils
Class ASASQLSyntax

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils.ASASQLSyntax

All Implemented Interfaces:
  ISQLSyntax

    public class ASASQLSyntax

extends java.lang.Object
implements ISQLSyntax

Author:
  Li Huang ASA SQL reserved keywords, functions, data types and operators, which are used as the highlight token.

Constructor Summary
`ASASQLSyntax()`

Method Summary
`java.lang.Object[]` `getAllWords()` Gets an array of arrays containing all SQL words, including keywords, constants, predicates, data types names, and function names.
`java.lang.String[]` `getConstants()` Gets an array of SQL constants.
`java.lang.String[]` `getFunctions()` Gets an array of SQL built-in function names.
`java.lang.String[]` `getGlobalVariables()` Gets an array of global variables supported by this database.
`java.lang.String[]` `getPredicates()` Gets an array of SQL predicates.
`java.lang.String[]` `getReservedwords()` Gets an array of SQL reserved keywords.
`java.lang.String[]` `getSingleLineComments()` Gets an array of SQL single line comments.
`java.lang.String[]` `getTypes()` Gets an array of SQL datatype names.
`java.lang.String[]` `getUnreservedwords()` Gets an array of SQL unreserved keywords.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASASQLSyntax

    public ASASQLSyntax()

Method Detail

### getFunctions

    public java.lang.String[] getFunctions()

  Description copied from interface: `ISQLSyntax`
  Gets an array of SQL built-in function names.

  Specified by:
    `getFunctions` in interface `ISQLSyntax`
  Returns:
    Returns the functions.

### getPredicates

    public java.lang.String[] getPredicates()

  Description copied from interface: `ISQLSyntax`
  Gets an array of SQL predicates.

  Specified by:
    `getPredicates` in interface `ISQLSyntax`
  Returns:
    Returns the predicates.

### getReservedwords

    public java.lang.String[] getReservedwords()

  Description copied from interface: `ISQLSyntax`
  Gets an array of SQL reserved keywords.

  Specified by:
    `getReservedwords` in interface `ISQLSyntax`
  Returns:
    Returns the reservedwords.

### getUnreservedwords

    public java.lang.String[] getUnreservedwords()

  Description copied from interface: `ISQLSyntax`
  Gets an array of SQL unreserved keywords.

  Specified by:
    `getUnreservedwords` in interface `ISQLSyntax`

### getTypes

    public java.lang.String[] getTypes()

  Description copied from interface: `ISQLSyntax`
  Gets an array of SQL datatype names.

  Specified by:
    `getTypes` in interface `ISQLSyntax`
  Returns:
    Returns the types.

### getAllWords

    public java.lang.Object[] getAllWords()

  Description copied from interface: `ISQLSyntax`
  Gets an array of arrays containing all SQL words, including keywords, constants, predicates, data types names, and function names.

  Specified by:
    `getAllWords` in interface `ISQLSyntax`
  Returns:
    Returns the allWords.

### getConstants

    public java.lang.String[] getConstants()

  Description copied from interface: `ISQLSyntax`
  Gets an array of SQL constants.

  Specified by:
    `getConstants` in interface `ISQLSyntax`
  Returns:
    Returns the constants.

### getSingleLineComments

    public java.lang.String[] getSingleLineComments()

  Description copied from interface: `ISQLSyntax`
  Gets an array of SQL single line comments.

  Specified by:
    `getSingleLineComments` in interface `ISQLSyntax`

### getGlobalVariables

    public java.lang.String[] getGlobalVariables()

  Description copied from interface: `ISQLSyntax`
  Gets an array of global variables supported by this database.

  Specified by:
    `getGlobalVariables` in interface `ISQLSyntax`